Package classycle.util

# Class StringPatternSequence

java.lang.Object
classycle.util.StringPatternSequence

All Implemented Interfaces:
  `StringPattern`

Direct Known Subclasses:
  `AndStringPattern`, `OrStringPattern`

public abstract class StringPatternSequence extends Object implements StringPattern
Sequence of `StringPatterns`.

Author:
  Franz-Josef Elmer

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final List<StringPattern>`
`_patterns`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StringPatternSequence(StringPattern[] pattern)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendPattern(StringPattern pattern)`
Appends the specified pattern.
`protected abstract String`
`getOperatorSymbol()`
Returns the operator symbol for pretty printing.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface classycle.util.StringPattern

`matches`

## Field Details

### _patterns

protected final List<StringPattern> _patterns

## Constructor Details

### StringPatternSequence

protected StringPatternSequence(StringPattern[] pattern)

## Method Details

### appendPattern

public void appendPattern(StringPattern pattern)
Appends the specified pattern.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getOperatorSymbol

protected abstract String getOperatorSymbol()
Returns the operator symbol for pretty printing. Needed by `toString()`.